package com.iamberry.wechat.core.entity.agent;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.order.OrderItem;

/**
 * 微代理订单 实体类
 * @author 穆再兴
 *
 */
public class AgentOrderDto implements Serializable{

	private static final long serialVersionUID = -4121940495260101824L;

	private String orderId;		//单号
	
	private Integer userId;		//用户的userid
	
	private String userHead;	//用户头像
	
	private String orderOpenid;	//用户openid
	
	private String orderName;	//用户名
	
	private String userNickName;//用户昵称
	
	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")  
	private Date orderCreateDate;//创建时间
	
	private Integer orderIntegral;//返还积分
	
	private Integer cashLogsNum;	//返还金额
	
	private Integer rebackStatus;	//是否返利
	
	private List<OrderItem> orderItemList = new ArrayList<OrderItem>();	//订单项实体类
	
	private PageBean page = new PageBean();		//分页
	
	public String getOrderId() {
		return orderId;
	}
	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getUserHead() {
		return userHead;
	}
	public void setUserHead(String userHead) {
		this.userHead = userHead;
	}
	public String getOrderOpenid() {
		return orderOpenid;
	}
	public void setOrderOpenid(String orderOpenid) {
		this.orderOpenid = orderOpenid;
	}
	public String getOrderName() {
		return orderName;
	}
	public void setOrderName(String orderName) {
		this.orderName = orderName;
	}
	public String getUserNickName() {
		return userNickName;
	}
	public void setUserNickName(String userNickName) {
		this.userNickName = userNickName;
	}
	public Date getOrderCreateDate() {
		return orderCreateDate;
	}
	public void setOrderCreateDate(Date orderCreateDate) {
		this.orderCreateDate = orderCreateDate;
	}
	public Integer getOrderIntegral() {
		return orderIntegral;
	}
	public void setOrderIntegral(Integer orderIntegral) {
		this.orderIntegral = orderIntegral;
	}
	public Integer getCashLogsNum() {
		return cashLogsNum;
	}
	public void setCashLogsNum(Integer cashLogsNum) {
		this.cashLogsNum = cashLogsNum;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public List<OrderItem> getOrderItemList() {
		return orderItemList;
	}
	public void setOrderItemList(List<OrderItem> orderItemList) {
		this.orderItemList = orderItemList;
	}
	
	public Integer getRebackStatus() {
		return rebackStatus;
	}
	public void setRebackStatus(Integer rebackStatus) {
		this.rebackStatus = rebackStatus;
	}
	@Override
	public String toString() {
		return "AgentOrderDto [orderId=" + orderId + ", userId=" + userId
				+ ", userHead=" + userHead + ", orderOpenid=" + orderOpenid
				+ ", orderName=" + orderName + ", userNickName=" + userNickName
				+ ", orderCreateDate=" + orderCreateDate + ", orderIntegral="
				+ orderIntegral + ", cashLogsNum=" + cashLogsNum + ", page="
				+ page + "]";
	}

}
